This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 48048 - [40cat] class file nodes are shown in source pakages tree
Summary: [40cat] class file nodes are shown in source pakages tree
Status: CLOSED FIXED
Alias: None
Product: javaee
Classification: Unclassified
Component: Web Project (show other bugs)
Version: 4.x
Hardware: PC Linux
: P3 blocker (vote)
Assignee: Radko Najman
URL:
Keywords:
Depends on: 48198
Blocks:
  Show dependency tree
 
Reported: 2004-08-27 09:21 UTC by vanob
Modified: 2006-03-24 10:18 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description vanob 2004-08-27 09:21:06 UTC
[ BUILD # : 200408191352 ]
[ JDK VERSION : J2SE 1.5.0 ]

Hello

1. start with empty user dir
2. create web application with existing sources
3. expand project tab root node "Source Packages"
4. expand some package. 

There are class files along with java files
Comment 1 zikmund 2004-08-27 09:26:30 UTC
Did you import 3.6 project?
Comment 2 vanob 2004-08-27 09:35:38 UTC
yes. 
it was netbeans 3.6 project with web module
Comment 3 Pavel Buzek 2004-08-27 18:37:05 UTC
If you import a 3.6 module and the class files are in package folders
(if you did not just do clean or checkout) so they will be visible
just like any files that are there. 
You can delete them by hand, they will not created there again.

We could clean the sources folders automatically when importing.

Jano, what's your opinion?

If implemented this should also be done for j2seproject for consistency.
Comment 4 jrojcek 2004-08-30 09:55:52 UTC
If there are no unwanted consequences with cleaning the class files automatically, I am 
fine with it.

Jesse, would it be possible to do it also for the Java Project with Existing Sources?
Comment 5 Jesse Glick 2004-08-30 23:17:52 UTC
I filed issue #48198 for j2seproject.
Comment 6 Radko Najman 2004-10-05 14:42:52 UTC
Fixed.
The user is asked if s/he wants to delete class files or leave them in
the sources folder.
Comment 7 zikmund 2004-10-11 13:03:02 UTC
Verified.